Subject: [PATCH 00/37] Assorted OCaml patches

From: pukkamustard <[email-masked]>
Date: Wed, 14 Apr 2021 11:08:00 +0200

Hello Guix,

I have been collecting some patches to the OCaml packaging in Guix. It has got
a bit long, sorry for that.

The main theme of this series is to provide basic OCaml packages in Guix that
also work with more recent version of OCaml. Currently most OCaml packages in
Guix are only for OCaml 4.07.

Most patches are of following form:

- Add new ocaml-X package with latest upstream verison of X
- Make existing ocaml4.07-X package inherit from new ocaml-X

Some packages are newly added because I am using them (ocaml-uunf and
ocaml-angstrom) or because they are dependencies of newer version of packages
already in Guix (e.g. ocaml-time-now).

There are still quite a few packages in Guix that are only available for OCaml
4.07 (ocaml4.07-X but no ocaml-X). Eventually adding them would be nice for
OCaml hackers working with recent version of the compiler.  As I understand we
want to keep the ocaml4.07-* packages for bootstrapping purposes.

Thanks,
pukkamustard

pukkamustard (37):
  gnu: ocaml-integers: Update to 0.4.0.
  gnu: ocaml-ctypes: Update to 0.18.0.
  gnu: ocaml-ctypes: Make ocaml-integers a propagated input.
  gnu: ocaml-lwt: Make libev a propagated input.
  gnu: ocaml-lwt: Update to 5.4.0.
  gnu: ocaml4.07-gen: Update to 0.5.3.
  gnu: Add ocaml-gen.
  gnu: Add ocaml-stdio.
  gnu: Add ocaml-compiler-libs.
  gnu: ocaml-migrate-parsetree: Update to 1.8.0.
  gnu: ocaml-migrate-parsetree: Update to 2.1.0.
  gnu: Add ocaml-ppxlib.
  gnu: Add ocaml-sedlex.
  gnu: Add ocaml-uunf.
  gnu: Add ocaml-ppx-sexp-conv.
  gnu: Add ocaml-bigstringaf.
  gnu: Add ocaml-ppx-let.
  gnu: Add ocaml-syntax-shims.
  gnu: Add ocaml-ppx-compare.
  gnu: Add ocaml-ppx-here.
  gnu: Add ocaml-ppx-cold.
  gnu: Add ocaml-ppx-assert.
  gnu: Add ocaml-ppx-custom-printf.
  gnu: Add ocaml-ppx-hash.
  gnu: Add ocaml-ppx-enumerate.
  gnu: Add ocaml-ppx-js-style.
  gnu: Add ocaml-ppx-base.
  gnu: Add ocaml-fieldslib.
  gnu: Add ocaml-ppx-fields-conv.
  gnu: Add ocaml-ppx-optcomp
  gnu: Add ocaml-ppx-optional.
  gnu: Add ocaml-jst-config.
  gnu: Add ocaml-jane-street-headers.
  gnu: Add ocaml-time-now.
  gnu: Add ocaml-ppx-inline-test.
  gnu: Add ocaml-angstrom.
  gnu: Add ocaml-uri.

 gnu/packages/ocaml.scm | 1476 ++++++++++++++++++++++++++--------------
 1 file changed, 949 insertions(+), 527 deletions(-)

-- 
2.31.1